# Programming Project Group 14
# Corsi Block Tapping Task
## Introduction
This project contains an implementation of the Programming Project of Group 14 of module Human Factors and Engineering Psychology. 
<p>Contributors to this project are:</p>
<p>1. Alina Maximova (s2032074, a.maximova@student.utwente.nl)</p>
<p>2. Jana Westermann (s2085887, j.m.l.westermann@student.utwente.nl)</p>
<p>3. Sylvan Botter (s2299100, s.botter@student.utwente.nl)</p>
<p> </p>
<p>This implementation contains several files:</p>
<p>1. Block.py -- contains the class defining a block and its properties and functions</p>
<p>2. game.py -- contains the executable program for running the Corsi Task with a user</p>
<p>3. save.py -- contains the method which saves the user's results to a separate file</p>
<p>4. sequence_update.py -- contains the class defining four sequences and their properties and functions</p>
<p>5. user_sequence.py -- contains the method which detects what block was tapped by the user</p>

## Dependencies
In order to run this project a user must have the following libraries installed:
<p>1. pygame</p>
<p>2. time</p>
<p>3. sys</p>
<p>4. random</p>
<p>5. numpy</p>
The version of Python used: Python 3.8.5 64-bit (conda)
<p> The main requirement: you need to have installed pygame or anaconda</p>

## How to run the program
<p>1. Extract the folder "programming_project_group_14_master"</p>
<p>2. Open the extracted folder from VSCode or an alternative program</p>
<p>3. Install the dependencies</p>
<p>4. Open and run game.py file</p>
<p>5. Follow the instructions on the screen</p>

## What happens when you run the program
This program is made not only to show the Corsi Tapping Task, but also to demonstrate all the features that this implementation have. The first sequence that is called is one of the four sequences predefined in the program. The second sequence that is called is the randomly generated sequence. The third sequence that is called is the sequence with the block coordinates read from the file. Lastly, the fourth sequence is again the randomly generated sequence. Thus, our team wants to show that the researcher can tail this implementation to their needs: they have the possibility to use the predefined in code sequences or randomly generate them or predefine them in a CSV file manually and then use them. We believe that this flexibility is extremely useful for a researcher.

## Additional information
This project was created using GitLab. Please, use the following link to see the repository: https://gitlab.utwente.nl/s2032074/programming_project_group_14/-/tree/master 
